Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 81)
@@ -1795,11 +2455,447 @@
                         if (i == 0) objAuthorizer = (object[])BufferList[i];
                         if ((ObjCurCount + 1) <= BufferList.Count) objAuthorizer = (object[])BufferList[ObjCurCount++];
 
+                        // 承認機能番号・受付番号・工事番号が違えばブレイク
+                        if ((iApprovalCode == CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.ApprovalCode]))
+                            && (iOrderNo == CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.OrderNo]))
+                            && (iConstructionCode == CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.ConstructionCode])))
+                        {
 
+                        }
+                        else
+                        {
+                            --ObjCurCount;
+                            break;
+                        }
+
+                        iApprovalCode = CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.ApprovalCode]);                // 承認機能番号
+                        iOrderNo = CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.OrderNo]);                          // 受付番号
+                        iConstructionCode = CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.ConstructionCode]);        // 工事番号
+
+                        // 承認者が列カウントを超えた場合
+                        if ((dgv.ColumnCount - 1) < ((int)ConstrAppGridCount.ApprovalPerson1 + i))
+                        {
+                            // 列を作成する
+                            DataGridViewTextBoxColumn NewColumn = new DataGridViewTextBoxColumn();
+                            // 名前とヘッダーを設定する
+                            NewColumn.Name = string.Format("ApprovalPerson{0}", i);
+                            NewColumn.HeaderText = string.Format("承認者{0}", (i + 1));
+                            // 列の幅
+                            NewColumn.Width = dgv.Columns[((int)ConstrAppGridCount.ApprovalPerson1)].Width;
+                            int AllCellColumns = m_CellSize.GetLength(1);
+                            int CurCellBaseCnt = (int)ConstrAppGridCount.ApprovalPerson1;
+                            if (AllCellColumns > i) m_CellSize[Tabcount, CurCellBaseCnt + i] = dgv.Columns[((int)ConstrAppGridCount.ApprovalPerson1)].Width;
+                            // 列のアライメントセット
+                            NewColumn.DefaultCellStyle = dgv.Columns[((int)ConstrAppGridCount.ApprovalPerson1)].DefaultCellStyle;
+
+                            // 列を追加する
+                            dgv.Columns.Add(NewColumn);
+                        }
+
+                        int ApprovalStatus = CommonMotions.cnvInt(objAuthorizer[(int)ConstrAppDataList.ApprovalStatus]);
+                        DataGridViewRow CurRowPo = dgv.Rows[CurRowCnt];
+                        DataGridViewCell CurCell = null;
+                        CurCell = CurRowPo.Cells[(int)ConstrAppGridCount.ApprovalPerson1 + i];
+
+                        CurCell.Value = CommonMotions.cnvString(objAuthorizer[(int)ConstrAppDataList.ApprovalPersonName]);
+                        CurCell.Style.BackColor = CommonDefine.ApprovalBackStatusColor[ApprovalStatus];
+                        CurCell.Style.ForeColor = CommonDefine.ApprovalForeStatusColor[ApprovalStatus];
+                    }
+                    bFirst = false;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+            }
+        }
+        #endregion
+        #endregion
+
+        #region 担当者承認申請
+        #region 担当者承認表示ループ処理
+        /// <summary>
+        /// 担当者承認表示ループ処理
+        /// </summary>
+        private void DispPersonApp()
+        {
+            DataGridView dgv = dgvPersonApp;
+            try
+            {
+                dgv.Rows.Clear();
+
+                // 担当者承認データを取得する
+                ArrayList arData = new ArrayList();
+                if (!GetPersonApp(ref arData)) return;
+
+                // プログレスバー初期化
+                ProgressPersonApp.Visible = true;
+                ProgressPersonApp.Minimum = 0;
+                ProgressPersonApp.Maximum = arData.Count;
+                tabPage4.Update();
+
+                // 行を作成する
+                DataGridViewRow[] list = new DataGridViewRow[arData.Count];
+                // データ表示
+                int ino = 1;
+                int iLineCnt = 0;
+                int BreakCode = 0;
+
+                if (arData.Count == 0) goto BlankLien;
+                // ため込み処理領域初期化
+                ArrayList BufferList = new ArrayList();
+                object[] objfirst = (object[])arData[0];
+                int BreakApprovalCode = CommonMotions.cnvInt(objfirst[(int)PersonAppDataList.ApprovalCode]);
+                int BreakPersonCode = CommonMotions.cnvInt(objfirst[(int)PersonAppDataList.PersonCode]);
+                int BreakOrderNo = CommonMotions.cnvInt(objfirst[(int)PersonAppDataList.OrderNo]);
+
+                foreach (object[] objLoopRec in arData)
+                {
+                    if (BreakApprovalCode == CommonMotions.cnvInt(objLoopRec[(int)PersonAppDataList.ApprovalCode])
+                        && BreakPersonCode == CommonMotions.cnvInt(objLoopRec[(int)PersonAppDataList.PersonCode])
+                        && BreakOrderNo == CommonMotions.cnvInt(objLoopRec[(int)PersonAppDataList.OrderNo]))
+                    {
+                        BufferList.Add(objLoopRec);
+                        continue;
+                    }
+
+                    // 行表示
+                    DispPersonAppRowProc(ino, BufferList, ref BreakCode);
+
+                    // ブレイクキー更新
+                    BreakApprovalCode = CommonMotions.cnvInt(objLoopRec[(int)PersonAppDataList.ApprovalCode]);
+                    BreakPersonCode = CommonMotions.cnvInt(objLoopRec[(int)PersonAppDataList.PersonCode]);
+                    BreakOrderNo = CommonMotions.cnvInt(objLoopRec[(int)PersonAppDataList.OrderNo]);
+                    BufferList.Clear();
+                    BufferList.Add(objLoopRec);
+
+                    iLineCnt++;
+
+                    // ProgressBarの値を変更する
+                    ProgressPersonApp.Value = ino++;
+                    ProgressPersonApp.Update();
+                }
+
+                // 最終行の表示
+                if (BufferList.Count != 0)
+                {
+                    // 行表示
+                    DispPersonAppRowProc(ino, BufferList, ref BreakCode);
+                }
+
+            BlankLien:
+
+                dgv.ResumeLayout();
+
+                // ProgressBarの値を変更する
+                ProgressPersonApp.Value = ProgressPersonApp.Maximum;
+                ProgressPersonApp.Update();
+                ProgressPersonApp.Visible = false;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // 読込時データカウント取得
+                if (CommonDefine.s_MaxInitLineCount > dgv.RowCount)
+                    dgv.RowCount += (CommonDefine.s_MaxInitLineCount - dgv.RowCount);
+
+                foreach (DataGridViewColumn wrkCol in dgv.Columns)
+                    wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
+
+                // グリッドソート実行
+                GridSortExcute(dgv);
+            }
+        }
+        #endregion
+
+        #region 担当者承認データ並び
+        /// <summary>
+        /// 担当者承認データ並び
+        /// </summary>
+        private enum PersonAppDataList
+        {
+            /// <summary>
+            /// 承認処理コード
+            /// </summary>
+            ApprovalCode = 0,
+            /// <summary>
+            /// 受付番号
+            /// </summary>
+            OrderNo,
+            /// <summary>
+            /// 担当者番号
+            /// </summary>
+            PersonCode,
+            /// <summary>
+            /// 担当者名称
+            /// </summary>
+            PersonName,
+            /// <summary>
+            /// 承認日付
+            /// </summary>
+            PetitionapprovalDate,
+            /// <summary>
+            /// 申請日
+            /// </summary>
+            EntryDate,
+            /// <summary>
+            /// 承認希望日
+            /// </summary>
+            ApprovalLimitDates,
+            /// <summary>
+            /// 申請者コード
+            /// </summary>
+            AppPersonCode,
+            /// <summary>
+            /// 申請者名
+            /// </summary>
+            AppPersonName,
+            /// <summary>
+            /// 部署コード
+            /// </summary>
+            DepartmentCode,
+            /// <summary>
+            /// 部署名
+            /// </summary>
+            DepartmentName,
+            /// <summary>
+            /// 承認者コード
+            /// </summary>
+            ApprovalPersonCode,
+            /// <summary>
+            /// 表示順
+            /// </summary>
+            DisplayOrder,
+            /// <summary>
+            /// 承認者名
+            /// </summary>
+            ApprovalPersonName,
+            /// <summary>
+            /// 承認状態
+            /// </summary>
+            ApprovalStatus,
+            /// <summary>
+            /// 出勤管理データ：出勤管理年月
+            /// </summary>
+            AttendanceMonth,
+            /// <summary>
+            /// 発注者登録申請データ：データ区分
+            /// </summary>
+            CostomerDataMode,
+            /// <summary>
+            /// 発注者登録申請データ：作成日
+            /// </summary>
+            CostomerRegistKey1,
+            /// <summary>
+            /// 発注者登録申請データ：申請連番
+            /// </summary>
+            CostomerRegistKey2,
+            /// <summary>
+            /// 協力会社登録申請データ：データ区分
+            /// </summary>
+            SubConstrDataMode,
+            /// <summary>
+            /// 協力会社登録申請データ：作成日
+            /// </summary>
+            SubConstrRegistKey1,
+            /// <summary>
+            /// 協力会社登録申請データ：申請連番
+            /// </summary>
+            SubConstrRegistKey2,
+        }
+        #endregion
+
+        #region 担当者承認申請データを取得する
+        /// <summary>
+        /// 担当者承認申請データを取得する
+        /// </summary>
+        /// <param name="arData"></param>
+        /// <returns></returns>
+        private bool GetPersonApp(ref ArrayList arData)
+        {
+            IOPersonApproval AppDB = new IOPersonApproval();
+            try
+            {
+                // 完了工事以外の申請中と承認後7日間のデータを対象とする
+                string strSQL = "SELECT";
+                strSQL += " A.APPROVALCODE,";
+                strSQL += " A.ORDERNO,";
+                strSQL += " A.PERSONCODE,";
+                strSQL += " C.PERSONNAME,";
+                strSQL += " A.PETITIONAPPROVALDATE,";
+                strSQL += " A.ENTRYDATE,";
+                strSQL += " A.APPROVALLIMITDATES,";
+                strSQL += " A.PERSONCODEAPPROVAL,";
+                strSQL += " D.PERSONNAME,";
+                strSQL += " C.DEPARTMENTCODE,";
+                strSQL += " B.DEPARTMENTSTRING,";
+                strSQL += " E.APPROVALPERSON,";
+                strSQL += " E.DISPLAYORDER,";
+                strSQL += " F.PERSONNAME,";
+                strSQL += " NVL(G.APPROVALSTATUS, 4),";
+
+                strSQL += " J.ATTENDANCEMONTH,";
+
+                strSQL += " H.DATAMODE,";
+                strSQL += " H.CREATEDATE,";
+                strSQL += " H.SEQNO,";
+
+                strSQL += " I.DATAMODE,";
+                strSQL += " I.CREATEDATE,";
+                strSQL += " I.SEQNO";
+
+                strSQL += " FROM PERSONAPPROVAL A";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.PERSONCODE";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.PERSONCODEAPPROVAL";
+                strSQL += " LEFT JOIN DEPARTMENTMASTER B ON B.DEPARTMENTCODE = D.DEPARTMENTCODE";
+
+                strSQL += " LEFT JOIN APPROVALMASTER E ON E.APPROVALCODE = A.APPROVALCODE AND E.DEPARTMENTCODE = C.DEPARTMENTCODE";
+
+                strSQL += " LEFT JOIN PERSONAPPROVAL G";
+                strSQL += " ON G.PERSONCODE = A.PERSONCODE";
+                strSQL += " AND G.APPROVALCODE = A.APPROVALCODE";
+                strSQL += " AND G.ORDERNO = A.ORDERNO";
+                strSQL += " AND G.PERSONCODEAPPROVAL = E.APPROVALPERSON";
+                strSQL += " AND G.SEQNO != 1";
+
+                strSQL += " LEFT JOIN AttendanceData J ON J.PERSONCODE = A.PERSONCODE AND J.ORDERDATE = A.ORDERDATE AND J.ORDERNO = A.ORDERNO";
+                strSQL += " LEFT JOIN COSTOMERREGIST H ON H.PERSONCODE = A.PERSONCODE AND H.ORDERDATE = A.ORDERDATE AND H.ORDERNO = A.ORDERNO";
+                strSQL += " LEFT JOIN SUBCONSTRREGIST I ON I.PERSONCODE = A.PERSONCODE AND I.ORDERDATE = A.ORDERDATE AND I.ORDERNO = A.ORDERNO";
+
+                strSQL += ", PERSONINCHARGEMASTER F";
+
+                strSQL += string.Format(" WHERE ((A.SEQNO = 1 AND A.ApprovalStatus != {0})", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += string.Format(" OR (A.SEQNO = 1 AND A.ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " AND TRUNC(A.UPDATEDATE) >= (TRUNC(SYSDATE) - 7)))";
+
+                strSQL += " AND F.PERSONCODE = E.APPROVALPERSON";
+
+                strSQL += " ORDER BY A.APPROVALCODE DESC, A.PETITIONAPPROVALDATE DESC, A.PERSONCODE ASC, A.ORDERNO DESC, E.DISPLAYORDER DESC";
+                if (!AppDB.ExecuteReader(strSQL, ref arData)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                AppDB.close(); AppDB = null;
+            }
+        }
+        #endregion
+
+        #region 担当者承認表示処理
+        /// <summary>
+        /// 担当者承認表示処理
+        /// </summary>
+        private void DispPersonAppRowProc(int ino, ArrayList BufferList, ref int BreakCode)
+        {
+            try
+            {
+                DataGridView dgv = dgvPersonApp;
+                bool bFirst = true;
+                int CurRowCnt = 0;
+
+                int iPersonCode = 0;
+                int iApprovalCode = 0;
+                int iOrderNo = 0;
+                DateTime ApprovalEntryDate = DateTime.MinValue;
+                DateTime ApprovalLimitDates = DateTime.MinValue;
+
+                string strKey1 = string.Empty;
+                string strKey2 = string.Empty;
+                string petitionDetail = string.Empty;
+                DateTime wrkdt = DateTime.Now;
+                // 先頭レコードを取得
+                foreach (object[] objwrk in BufferList)
+                {
+                    // データ取得
+                    iPersonCode = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.PersonCode]);                  // 担当者番号
+                    iApprovalCode = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.ApprovalCode]);              // 承認機能番号
+                    iOrderNo = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.OrderNo]);                        // 受付番号
+
+                    ApprovalEntryDate = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.EntryDate]);             // 申請日付
+                    ApprovalLimitDates = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.ApprovalLimitDates].ToString());    // 承認希望日
+
+                    if (!bFirst) break;
+
+                    string strLimitDate = string.Empty;
+                    if (ApprovalLimitDates != DateTime.MinValue) strLimitDate = ApprovalLimitDates.ToShortDateString();
+
+                    // 処理月で空行を入れる
+                    if (ino == 1) BreakCode = iApprovalCode;
+
+                    if (BreakCode != iApprovalCode)
+                    {
+                        dgv.Rows.Add(1);
+                        BreakCode = iApprovalCode;
+                    }
+
+                    strKey1 = string.Empty;
+                    strKey2 = string.Empty;
+                    switch (iApprovalCode)
+                    {
+                        case (int)ClsExcute.ApprovalListNo.DRWorkApproval:
+                            // 出勤日報申請
+                            wrkdt = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.AttendanceMonth]);
+                            petitionDetail = string.Format("{0}年{1}月度　出　勤　日　報", wrkdt.Year, wrkdt.Month.ToString("00"));
+                            break;
+                        case (int)ClsExcute.ApprovalListNo.CostomerRegistApproval:
+                            // 発注者登録申請
+                            petitionDetail = s_PersonApprovalFixed[CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.CostomerDataMode])];
+
+                            strKey1 = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.CostomerRegistKey1]).ToShortDateString();
+                            strKey2 = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.CostomerRegistKey2]).ToString();
+                            break;
+                        case (int)ClsExcute.ApprovalListNo.SubConstregistApproval:
+                            // 協力会社登録申請
+                            petitionDetail = s_PersonApprovalFixed[CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.SubConstrDataMode])];
+
+                            strKey1 = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.SubConstrRegistKey1]).ToShortDateString();
+                            strKey2 = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.SubConstrRegistKey2]).ToString();
+                            break;
+                    }
+                    // データセット
+                    CurRowCnt = dgv.Rows.Add(iPersonCode,
+                                                    iApprovalCode,
+                                                    iOrderNo,
+                                                    strKey1,
+                                                    strKey2,
+                                                    ino,
+                                                    petitionDetail,
+                                                    ClsExcute.AppovalList[iApprovalCode],
+                                                    CommonMotions.cnvString(objwrk[(int)PersonAppDataList.AppPersonName]),
+                                                    ApprovalEntryDate.ToShortDateString(),
+                                                    strLimitDate);
+
+                    // 承認種別と種別名に色を付ける
+                    Color SelColor = ClsExcute.ApprovalTypeColorList[iApprovalCode];
+                    dgv.Rows[CurRowCnt].Cells[(int)PersonAppGridCount.ApprovalName].Style.BackColor = SelColor;
+                    string wrkname = MenuTabName.First(x => x.Value.Equals((int)TabNameEnum.MentenanceMenu)).Key;
+                    int Tabcount = MenuTabName[wrkname] - 1;
+
+                    int ObjCurCount = 0;
+                    object[] objAuthorizer = null;
+                    // データセット
+                    for (int i = 0; i < BufferList.Count; i++)
+                    {
+                        if (i == 0) objAuthorizer = (object[])BufferList[i];
+                        if ((ObjCurCount + 1) <= BufferList.Count) objAuthorizer = (object[])BufferList[ObjCurCount++];
+
                         // 承認機能番号・受付番号・工事番号が違えばブレイク
-                        if ((iApprovalCode == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalCode]))
-                            && (iOrderNo == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.OrderNo]))
-                            && (iConstructionCode == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ConstructionCode])))
+                        if ((iApprovalCode == CommonMotions.cnvInt(objAuthorizer[(int)PersonAppDataList.ApprovalCode]))
+                            && (iOrderNo == CommonMotions.cnvInt(objAuthorizer[(int)PersonAppDataList.OrderNo]))
+                            && (iPersonCode == CommonMotions.cnvInt(objAuthorizer[(int)PersonAppDataList.PersonCode])))
                         {
 
                         }
@@ -1809,12 +2905,12 @@
                             break;
                         }
 
-                        iApprovalCode = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalCode]);                // 承認機能番号
-                        iOrderNo = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.OrderNo]);                          // 受付番号
-                        iConstructionCode = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ConstructionCode]);        // 工事番号
+                        iApprovalCode = CommonMotions.cnvInt(objAuthorizer[(int)PersonAppDataList.ApprovalCode]);   // 承認機能番号
+                        iOrderNo = CommonMotions.cnvInt(objAuthorizer[(int)PersonAppDataList.OrderNo]);             // 受付番号
+                        iPersonCode = CommonMotions.cnvInt(objAuthorizer[(int)PersonAppDataList.PersonCode]);       // 担当者番号
 
                         // 承認者が列カウントを超えた場合
-                        if ((dgvApproval.ColumnCount - 1) < ((int)DocumentApprovalGridCount.ApprovalPerson1 + i))
+                        if ((dgv.ColumnCount - 1) < ((int)PersonAppGridCount.ApprovalPerson1 + i))
                         {
                             // 列を作成する
                             DataGridViewTextBoxColumn NewColumn = new DataGridViewTextBoxColumn();
@@ -1822,23 +2918,23 @@
                             NewColumn.Name = string.Format("ApprovalPerson{0}", i);
                             NewColumn.HeaderText = string.Format("承認者{0}", (i + 1));
                             // 列の幅
-                            NewColumn.Width = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].Width;
+                            NewColumn.Width = dgv.Columns[((int)PersonAppGridCount.ApprovalPerson1)].Width;
                             int AllCellColumns = m_CellSize.GetLength(1);
-                            int CurCellBaseCnt = (int)DocumentApprovalGridCount.ApprovalPerson1;
-                            if (AllCellColumns > i) m_CellSize[Tabcount, CurCellBaseCnt + i] = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].Width;
+                            int CurCellBaseCnt = (int)PersonAppGridCount.ApprovalPerson1;
+                            if (AllCellColumns > i) m_CellSize[Tabcount, CurCellBaseCnt + i] = dgv.Columns[((int)PersonAppGridCount.ApprovalPerson1)].Width;
                             // 列のアライメントセット
-                            NewColumn.DefaultCellStyle = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].DefaultCellStyle;
+                            NewColumn.DefaultCellStyle = dgv.Columns[((int)PersonAppGridCount.ApprovalPerson1)].DefaultCellStyle;
 
                             // 列を追加する
-                            dgvApproval.Columns.Add(NewColumn);
+                            dgv.Columns.Add(NewColumn);
                         }
 
-                        int ApprovalStatus = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalStatus]);
-                        DataGridViewRow CurRowPo = dgvApproval.Rows[CurRowCnt];
+                        int ApprovalStatus = CommonMotions.cnvInt(objAuthorizer[(int)PersonAppDataList.ApprovalStatus]);
+                        DataGridViewRow CurRowPo = dgv.Rows[CurRowCnt];
                         DataGridViewCell CurCell = null;
-                        CurCell = CurRowPo.Cells[(int)DocumentApprovalGridCount.ApprovalPerson1 + i];
+                        CurCell = CurRowPo.Cells[(int)PersonAppGridCount.ApprovalPerson1 + i];
 
-                        CurCell.Value = CommonMotions.cnvString(objAuthorizer[(int)ApprovalDataList.ApprovalPersonName]);
+                        CurCell.Value = CommonMotions.cnvString(objAuthorizer[(int)PersonAppDataList.ApprovalPersonName]);
                         CurCell.Style.BackColor = CommonDefine.ApprovalBackStatusColor[ApprovalStatus];
                         CurCell.Style.ForeColor = CommonDefine.ApprovalForeStatusColor[ApprovalStatus];
                     }
@@ -2139,7 +3235,7 @@
                 ProgressSalesProjects.Visible = true;
                 ProgressSalesProjects.Minimum = 0;
                 ProgressSalesProjects.Maximum = arData.Count;
-                tabPage4.Update();
+                tabPage5.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -2240,11 +3336,9 @@
             }
             finally
             {
-                // データが多くなればソートできる
                 if (CommonDefine.s_MaxInitLineCount > dgv.RowCount)
                     dgv.RowCount += (CommonDefine.s_MaxInitLineCount - dgv.RowCount);
 
-                // データが多くなればソートできる
                 foreach (DataGridViewColumn wrkCol in dgv.Columns)
                     wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
 
@@ -2319,7 +3413,7 @@
                 ProgressTenders.Visible = true;
                 ProgressTenders.Minimum = 0;
                 ProgressTenders.Maximum = arData.Count;
-                tabPage4.Update();
+                tabPage5.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -2496,7 +3590,7 @@
                 ProgressBudgetUp.Visible = true;
                 ProgressBudgetUp.Minimum = 0;
                 ProgressBudgetUp.Maximum = arData.Count;
-                tabPage4.Update();
+                tabPage5.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -2714,7 +3808,7 @@
                 ProgressConstructionProjects.Visible = true;
                 ProgressConstructionProjects.Minimum = 0;
                 ProgressConstructionProjects.Maximum = arData.Count;
-                tabPage7.Update();
+                tabPage8.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -3234,7 +4328,7 @@
                 ProgressFluctuationProjects.Visible = true;
                 ProgressFluctuationProjects.Minimum = 0;
                 ProgressFluctuationProjects.Maximum = arData.Count;
-                tabPage7.Update();
+                tabPage8.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -3462,7 +4556,7 @@
                 ProgressNonOrders.Visible = true;
                 ProgressNonOrders.Minimum = 0;
                 ProgressNonOrders.Maximum = arData.Count;
-                tabPage9.Update();
+                tabPage10.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -3639,7 +4733,7 @@
                 ProgressCompletionOfConstruction.Visible = true;
                 ProgressCompletionOfConstruction.Minimum = 0;
                 ProgressCompletionOfConstruction.Maximum = arData.Count;
-                tabPage10.Update();
+                tabPage11.Update();
                 //Thread.Sleep(100);
 
                 lblCompTitle01.Visible = false;
@@ -4022,7 +5116,7 @@
                 progBarSalesGraph.Visible = true;
                 progBarSalesGraph.Minimum = ino;
                 progBarSalesGraph.Maximum = sgdList.Count;
-                tabPage13.Update();
+                tabPage14.Update();
 
                 DateTime wrkUpdate = sgdList[0].UpdateDate;
                 foreach (SalesGraphData wrkRec in sgdList)
@@ -4720,8 +5814,11 @@
 
                 vcDB.Reader2Struct(InData, ref VehicleRec);
 
+                int InPo = DBVehicleCnt;
+                if (CommonMotions.chkObjectIsNull(InData[InPo])) goto DataSet01;
+                if (InData[InPo].ToString().Length == 0) goto DataSet01;
+
                 object[] objSchedule = new object[DBVehicleSCnt];
-                int InPo = DBVehicleCnt;
                 for (int i = 0; i < DBVehicleSCnt; i++, InPo++)
                 {
                     objSchedule[i] = InData[InPo];
@@ -4728,8 +5825,14 @@
                 }
                 vsdDB.Reader2Struct(objSchedule, ref VehicleSRec);
 
+            DataSet01:
+
+                InPo = DBVehicleCnt + DBVehicleSCnt;
+                if (CommonMotions.chkObjectIsNull(InData[InPo])) return;
+                if (InData[InPo].ToString().Length == 0) return;
+
                 object[] objPerson = new object[DBPersonCnt];
-                InPo = DBVehicleCnt + DBVehicleSCnt;
+
                 for (int i = 0; i < DBPersonCnt; i++, InPo++)
                 {
                     objPerson[i] = InData[InPo];
